package org.jeecg.ctop.material.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.sql.ResultSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

public interface IBossDataExhibitionService {


    Result getMeterialProduceRate(String mediaType,String startTime, String endTime);

    Result getCompanyMeterialConsume(String mediaType,String startTime, String endTime);

    Result getMeterialRelevantInfo(String mediaType,String startTime, String endTime);

    Result getCompanyAccountDataInfo(String mediaType,String startTime, String endTime);

    Result getAccountDataByMediaType();

    Result getAccountTrendByMediaType(String mediaType,String startTime, String endTime);

    Result getProjectCostTopTenByMediaType(String mediaType,String startTime, String endTime);


}
